> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ai.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# OpenAI Responses Format

> The OpenAI Responses API is used to create model responses. 
It supports multi-turn dialogue, tool calls, inference, and other functionalities.

<Tip>
  This endpoint integrates a third-party model. For detailed parameter information, please refer to the official documentation at [OpenAI Docs](https://platform.openai.com/docs/api-reference/responses/create).
</Tip>


## OpenAPI

````yaml api-reference/openapi.json post /v1/responses
openapi: 3.0.1
info:
  title: AI model interface
  description: ''
  version: 1.0.0
servers:
  - url: https://api.ai.cc
security:
  - BearerAuth: []
tags:
  - name: Get Model List
  - name: Text completion
  - name: Translator
  - name: OpenAI Chat
  - name: OpenAI Response
  - name: Claude Messages
  - name: Gemini Generate Content
  - name: Video Task
  - name: Sora Video Task
paths:
  /v1/responses:
    post:
      tags:
        - OpenAI Response
      summary: OpenAI Responses API
      description: >-
        The OpenAI Responses API is used to create model responses. 

        It supports multi-turn dialogue, tool calls, inference, and other
        functionalities.
      operationId: createResponse
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResponsesRequest'
            examples:
              Default:
                summary: examples
                value:
                  model: gpt-4
                  input: Tell me a three sentence bedtime story about a unicorn.
        required: true
      responses:
        '200':
          description: Successfully created response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponsesResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    ResponsesRequest:
      type: object
      required:
        - model
      properties:
        model:
          type: string
          description: Model ID used to generate the response
        input:
          description: 'input: string or array'
          oneOf:
            - type: string
            - type: array
              items:
                type: object
                properties: {}
        instructions:
          type: string
          description: A system (or developer) message inserted into the model's context.
        max_output_tokens:
          type: integer
          description: >-
            An upper bound for the number of tokens that can be generated for a
            response, including visible output tokens and reasoning tokens.
        temperature:
          type: number
          description: What sampling temperature to use, between 0 and 2.
        top_p:
          type: number
          description: >-
            An alternative to sampling with temperature, called nucleus
            sampling, where the model considers the results of the tokens with
            top_p probability mass.
        stream:
          type: boolean
          description: >-
            If set to true, the model response data will be streamed to the
            client as it is generated using server-sent events.
        tools:
          type: array
          items:
            type: object
            properties: {}
        tool_choice:
          oneOf:
            - type: string
            - type: object
              properties: {}
        reasoning:
          type: object
          properties:
            effort:
              type: string
              enum:
                - low
                - medium
                - high
            summary:
              type: string
        previous_response_id:
          type: string
          description: >-
            The unique ID of the previous response to the model. Use this to
            create multi-turn conversations. Learn more about [conversation
            state](https://platform.openai.com/docs/guides/conversation-state).
        truncation:
          type: string
          enum:
            - auto
            - disabled
    ResponsesResponse:
      type: object
      properties:
        id:
          type: string
        object:
          type: string
          example: response
        created_at:
          type: integer
        status:
          type: string
          enum:
            - completed
            - failed
            - in_progress
            - incomplete
        model:
          type: string
        output:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
              id:
                type: string
              status:
                type: string
              role:
                type: string
              content:
                type: array
                items:
                  type: object
                  properties:
                    type:
                      type: string
                    text:
                      type: string
        usage:
          $ref: '#/components/schemas/Usage'
    Usage:
      type: object
      properties:
        prompt_tokens:
          type: integer
        completion_tokens:
          type: integer
        total_tokens:
          type: integer
        prompt_tokens_details:
          type: object
          properties:
            cached_tokens:
              type: integer
            text_tokens:
              type: integer
            audio_tokens:
              type: integer
            image_tokens:
              type: integer
        completion_tokens_details:
          type: object
          properties:
            text_tokens:
              type: integer
            audio_tokens:
              type: integer
            reasoning_tokens:
              type: integer
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        Authentication is done using Bearer Token. 
        Format: `Authorization: Bearer sk-xxxxxx`

````